@echo off

if not "%1"=="" goto check_deploy_directory
echo+
echo usage: deploy_iws path
echo+
echo path - directory where to deploy Servertec Internet Server.
set __RETURN_CODE__ = 1
goto exit


:check_deploy_directory
if not exist %1 goto check_iws_directory
echo+
echo Directory already exists: %1
set __RETURN_CODE__ = 2
goto exit


:check_iws_directory
set __IWS_DIR__=c:\iws.net
if exist %__IWS_DIR__%\bin\win32\deploy_iws.bat goto process_deploy
echo+
echo Servertec Internet Server installation was not found: %__IWS_DIR__%
set __RETURN_CODE__ = 3
goto exit


:process_deploy
md %1
md %1\bin
md %1\config
md %1\databases
md %1\archives
md %1\logs
md %1\admin
md %1\templates
md %1\wwwroot
md %1\cgi-bin
md %1\wwwroot\images
md %1\docs
md %1\docs\images

copy %__IWS_DIR__%\bin\win32\iws.exe %1\bin\*.*
copy %__IWS_DIR__%\bin\win32\loader.exe %1\bin\*.*
copy %__IWS_DIR__%\bin\win32\iws.net.dll %1\bin\*.*
copy %__IWS_DIR__%\bin\win32\iws.net.admin.dll %1\bin\*.*
copy %__IWS_DIR__%\bin\win32\jservice.exe %1\bin\*.*
copy %__IWS_DIR__%\bin\win32\stop_iws.exe %1\bin\*.*
copy %__IWS_DIR__%\bin\win32\restart_iws.exe %1\bin\*.*
copy %__IWS_DIR__%\bin\win32\start_service.bat %1\bin\*.*
copy %__IWS_DIR__%\bin\win32\stop_service.bat %1\bin\*.*
copy %__IWS_DIR__%\bin\win32\jspc.exe %1\bin\*.*
copy %__IWS_DIR__%\bin\win32\jasper.dll %1\bin\*.*
copy %__IWS_DIR__%\bin\win32\xerces.dll %1\bin\*.*
copy %__IWS_DIR__%\deploy\config\*.* %1\config\*.*
copy %__IWS_DIR__%\deploy\databases\*.* %1\databases\*.*
copy %__IWS_DIR__%\deploy\archives\*.* %1\archives\*.*
copy %__IWS_DIR__%\deploy\wwwroot\*.* %1\wwwroot\*.*
copy %__IWS_DIR__%\deploy\wwwroot\images\*.* %1\wwwroot\images\*.*
copy %__IWS_DIR__%\deploy\docs\*.* %1\docs\*.*
copy %__IWS_DIR__%\deploy\docs\images\*.* %1\docs\images\*.*
copy %__IWS_DIR__%\templates\*.* %1\templates\*.*
copy %__IWS_DIR__%\admin\*.* %1\admin\*.*

set RETURN_CODE = 0

:exit
set __IWS_DIR__=
exit /b %RETURN_CODE%
